/*CM Calendar*/
#calendar {
	font-size: 16px;
}

#calendar a {
	color: var(--dark-font-color);
}

#calendar a:hover,
#calendar a:focus {
	text-decoration: none;
}

.fc-event-title {
	transition: all .2s ease-in-out;
}

a:hover .fc-event-title,
a:focus .fc-event-title {
	color: var(--link-hover-color);
}

.fc .fc-button-primary:not(:disabled).fc-button-active, .fc .fc-button-primary:not(:disabled):active {
	background-color: var(--primary-color-2);
	border-color: var(--primary-color-2);
}

.fc .fc-button-primary {
	background-color: var(--primary-color-1);
	border-color: var(--primary-color-1);
}

#calendar .fc-daygrid-event-harness a {
	color: var(--dark-font-color);
}

#calendar .fc-h-event,
#calendar .fc-v-event {
	background: var(--dark-grey);
	border-color: var(--dark-grey);
}

#calendar .fc-view-harness {
  background: #fff;
  margin-bottom: 2rem;
}

#calendar .fc-col-header {
  margin-bottom: 0;
}

/*Calendar*/
.fc-scrollgrid-sync-table {
	margin-bottom: 0;
}

.fc-col-header-cell-cushion,
.fc-daygrid-day-number {
  color: inherit;
}

.fc-h-event .fc-event-title-container,
.fc-daygrid-dot-event .fc-event-title {
  white-space: normal;
}

.fc-daygrid-dot-event {
  align-items: center;
  flex-wrap: wrap;
} 

.fc-daygrid-event-dot {
  margin: 3px 4px!important;
}

.fc-daygrid-block-event .fc-event-time {
  display: none;
}

.fc-daygrid-dot-event .fc-event-title {
  padding: 0;
}

#calendar .fc-daygrid-event-dot {
    border-color: var(--dark-grey);
}


.fc .fc-daygrid-day-top {
    justify-content: center;
}


.list-view-link {
	cursor: pointer;
	margin-left: auto;
    margin-bottom: .5rem;
    padding: 0.5rem 1rem;
    font-size: .9rem;
    font-weight: var(--font-regular);
    display: flex!important;
}

@media (max-width: 1100px){
	.fc .fc-toolbar-title {
		font-size: 1.2rem;
		margin: 0 0.5rem;
	}
	
	.fc .fc-button {
		padding: .5rem;
    	font-size: .8rem;
	}
}

/* Calendar Filters */
.filter-checkbox-wrapper {
    padding: 0.25rem .75rem;
    border-radius: 5px;
    margin-bottom: .75rem;
	color: white;
}

.filter-checkbox-wrapper label {
	text-transform: capitalize;
	font-size: .8rem;
}

.fc-event-time, .fc .fc-timegrid-slot-label-cushion {
    text-transform: uppercase!important;
}

.fc .fc-button {
	text-transform: capitalize;
}

.calendar-subscribe p {
	margin-bottom: .5rem;
	font-size: .85rem;
}

.btn-subscribe {
    padding: 0.5rem 1rem;
    font-size: .9rem;
	cursor: pointer;
}

.fc .fc-button-primary:disabled {
	background-color: var(--highlight-color);
	border-color: var(--highlight-color);
	color: var(--dark-text-color);
	opacity: unset;
}

.fc .fc-daygrid-day.fc-day-today {
	background-color: var(--highlight-color);
}

#calendar .fc-daygrid-event .fc-daygrid-event-dot,
.fc .fc-event .fc-list-event-dot {
    border-color: var(--dark-grey);
}

/* Calendar Legends */
#calendar .fc-daygrid-event.--meeting .fc-daygrid-event-dot,
.fc .fc-event.--meeting .fc-list-event-dot {
	border-color: var(--meeting);
}

#calendar .fc-daygrid-event.--meeting {
	border-color: var(--meeting);
}

#calendar .fc-daygrid-event.--meeting .fc-event-main{
	background: var(--meeting);
}

#calendar .fc-v-event.--meeting {
	background: var(--meeting);
	border-color: var(--meeting);
}

/* Open House */
#calendar .fc-daygrid-event.--open-house .fc-daygrid-event-dot,
.fc .fc-event.--open-house .fc-list-event-dot {
	border-color: var(--open-house);
}

#calendar .fc-daygrid-event.--open-house {
	border-color: var(--open-house);
}

#calendar .fc-daygrid-event.--open-house .fc-event-main{
	background: var(--open-house);
}

#calendar .fc-v-event.--open-house {
	background: var(--open-house);
	border-color: var(--open-house);
}

/* Information Session */
#calendar .fc-daygrid-event.--information-session .fc-daygrid-event-dot,
.fc .fc-event.--information-session .fc-list-event-dot {
	border-color: var(--information-session);
}

#calendar .fc-daygrid-event.--information-session {
	border-color: var(--information-session);
}

#calendar .fc-daygrid-event.--information-session .fc-event-main{
	background: var(--information-session);
}

#calendar .fc-v-event.--information-session {
	background: var(--information-session);
	border-color: var(--information-session);
}

/* Transportation */
#calendar .fc-daygrid-event.--transportation .fc-daygrid-event-dot,
.fc .fc-event.--transportation .fc-list-event-dot {
	border-color: var(--transportation);
}

#calendar .fc-daygrid-event.--transportation {
	border-color: var(--transportation);
}

#calendar .fc-daygrid-event.--transportation .fc-event-main{
	background: var(--transportation);
}

#calendar .fc-v-event.--transportation {
	background: var(--transportation);
	border-color: var(--transportation);
}

/* Health & Well-Being */
#calendar .fc-daygrid-event.--health-well-being .fc-daygrid-event-dot,
.fc .fc-event.--health-well-being .fc-list-event-dot {
	border-color: var(--health-well-being);
}

#calendar .fc-daygrid-event.--health-well-being {
	border-color: var(--health-well-being);
}

#calendar .fc-daygrid-event.--health-well-being .fc-event-main{
	background: var(--health-well-being);
}

#calendar .fc-v-event.--health-well-being {
	background: var(--health-well-being);
	border-color: var(--health-well-being);
}

/* Registration */
#calendar .fc-daygrid-event.--registration .fc-daygrid-event-dot,
.fc .fc-event.--registration .fc-list-event-dot {
	border-color: var(--registration);
}

#calendar .fc-daygrid-event.--registration {
	border-color: var(--registration);
}

#calendar .fc-daygrid-event.--registration .fc-event-main{
	background: var(--registration);
}

#calendar .fc-v-event.--registration {
	background: var(--registration);
	border-color: var(--registration);
}

/* Community Engagement */
#calendar .fc-daygrid-event.--community-engagement .fc-daygrid-event-dot,
.fc .fc-event.--community-engagement .fc-list-event-dot {
	border-color: var(--community-engagement);
}

#calendar .fc-daygrid-event.--community-engagement {
	border-color: var(--community-engagement);
}

#calendar .fc-daygrid-event.--community-engagement .fc-event-main{
	background: var(--community-engagement);
}

#calendar .fc-v-event.--community-engagement {
	background: var(--community-engagement);
	border-color: var(--community-engagement);
}

/* Board of Trustees */
#calendar .fc-daygrid-event.--board-of-trustees .fc-daygrid-event-dot,
.fc .fc-event.--board-of-trustees .fc-list-event-dot {
	border-color: var(--board-of-trustees);
}

#calendar .fc-daygrid-event.--board-of-trustees {
	border-color: var(--board-of-trustees);
}

#calendar .fc-daygrid-event.--board-of-trustees .fc-event-main{
	background: var(--board-of-trustees);
}

#calendar .fc-v-event.--board-of-trustees {
	background: var(--board-of-trustees);
	border-color: var(--board-of-trustees);
}

/* Holidays & Breaks */
#calendar .fc-daygrid-event.--holidays--breaks .fc-daygrid-event-dot,
.fc .fc-event.--holidays--breaks .fc-list-event-dot {
	border-color: var(--holidays-breaks);
}

#calendar .fc-daygrid-event.--holidays--breaks {
	border-color: var(--holidays-breaks);
}

#calendar .fc-daygrid-event.--holidays--breaks .fc-event-main{
	background: var(--holidays-breaks);
}

#calendar .fc-v-event.--holidays--breaks {
	background: var(--holidays-breaks);
	border-color: var(--holidays-breaks);
}

